import { NgModule } from '@angular/core';
import { SharedModule } from '@shared/shared.module';
import { DataAuditComponent } from './data-audit/data-audit.component';
import { DeviceStatusComponent } from './device-status/device-status.component';
import { DeviceMaintenanceComponent } from './device-maintenance/device-maintenance.component';
import { PipeModule } from '@business/pipe/pipe.module';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { NgxEchartsModule } from 'ngx-echarts';
import { NzTreeModule } from 'ng-tree-antd';
import { SensorsService } from '@business/services/http/sensors.service';
import { NzMessageService } from 'ng-zorro-antd';
import { AreacodeService } from '@business/services/http/areacode.service';
import { MonitorPointService } from '@business/services/http/monitor-point.service';
import { DeviceService } from '@business/services/http/device.service';
import { DateService } from '@business/services/util/date.service';


const COMPONENT_NOROUNT = [];

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'data-audit', component: DataAuditComponent },
      { path: 'device-status', component: DeviceStatusComponent },
      { path: 'device-maintenance', component: DeviceMaintenanceComponent }
    ]
  }
];

@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    NzTreeModule,
    NgxEchartsModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
      ...COMPONENT_NOROUNT,
      DataAuditComponent,
      DeviceStatusComponent,
      DeviceMaintenanceComponent,
  ],
  entryComponents: COMPONENT_NOROUNT,
  providers: [SensorsService, NzMessageService, AreacodeService,
    MonitorPointService, DeviceService, DateService],
})
export class OperationModule { }
